---

- name: Add the user {{robotuser}}  with a bash shell, appending the group 'admins' and 'developers' to the user's groups
  user:
    name: "{{robotuser}}"
    shell: /bin/bash
    groups: pi,systemd-journal,operator
    append: yes

- name: ensure a catkin workspace exists
  file: path=/home/{{robotuser}}/catkin_ws/src state=directory mode=0777

# Use catkin to finish setting up ROS
- name: Initialize catkin workspace for nodes
  shell: source /opt/ros/{{ros_distro}}/setup.bash && catkin_init_workspace chdir=/home/{{robotuser}}/catkin_ws/src
  args:
    executable: /bin/bash
  environment:
    PATH: "{{ ansible_env.PATH }}:/opt/ros/{{ros_distro}}/bin"
    PYTHONPATH: /opt/ros/{{ros_distro}}/lib/python2.7/dist-packages/
  ignore_errors: True

- name: Run initial catkin_make
  shell: source /opt/ros/{{ros_distro}}/setup.bash && catkin_make chdir=/home/{{robotuser}}/catkin_ws
  args:
    executable: /bin/bash
  environment:
    PATH: "{{ ansible_env.PATH }}:/opt/ros/{{ros_distro}}/bin"
    PYTHONPATH: /opt/ros/{{ros_distro}}/lib/python2.7/dist-packages/
  ignore_errors: True
